from django.contrib import admin
from django.contrib.auth.admin import UserAdmin as BaseUserAdmin
from markdownx.admin import MarkdownxModelAdmin
from .models import Post, User
from .forms import UserCreationForm, UserChangeForm


@admin.register(Post)
class PostAdmin(MarkdownxModelAdmin):
    list_display = ['__str__', ]


@admin.register(User)
class UserAdmin(BaseUserAdmin):
    form = UserChangeForm
    add_form = UserCreationForm
    list_display = ['username', 'email', 'is_staff', 'is_active']
    list_filter = ['is_staff', 'is_active']
    fieldsets = [
        (None, {'fields': [
            'username',
            'password',
            'is_staff',
            'is_active',
        ]}),
    ]
